<?php
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	require_once(CI_PATH_LIBS.'/core.inc.php');
	
	class S2P_API_MODULE_ACCOUNTS extends S2P_API_MODULE
	{
		function S2P_API_MODULE_ACCOUNTS()
		{
		}

		function run($args)
		{
			switch ($args['task'])
			{
				case 'create':
				case 'save':
				case 'modify':	return $this->task_save($args);
				case 'toggle':	return $this->task_toggle($args);
				case 'remove':	return $this->task_remove($args);
				case 'list':	return $this->task_list($args);
				case 'status':	return $this->task_status($args);
				case 'info':	return $this->task_info($args);
			}

			return $this->error_no_task();
		}

		function task_info($args)
		{
			$manager=new CI_SKYPE();

			if ($args['account'])
				$info=$manager->get_info_by_username($args['account']);
			elseif ($args['id'])
				$info=$manager->get_info($args['id']);
			else
				return ci_response_error('missing-accountname-or-id');
			
			return ci_response_ok($info);
		}

		function task_list($args)
		{
			$manager=new CI_SKYPE();
			return ci_response_ok(array('item' => $manager->get_list()));
		}

		function task_save($args)
		{
			$manager=new CI_SKYPE();
			return $manager->task_save($_REQUEST);
		}

		function task_remove($args)
		{
			$manager=new CI_SKYPE();
			return $manager->task_delete($_REQUEST['id']);
		}

		function task_toggle($args)
		{
			$manager=new CI_SKYPE();
			return $manager->task_toggle($_REQUEST['id']);
		}

		function task_status($args)
		{
			$manager=new CI_CORE_SKYPE();

			$manager->open();
			$skype_status=$manager->get_sessions_status();

			if ($args['account']) return ci_response_ok($skype_status[$args['account']]);

			return ci_response_ok($skype_status);
		}
	}
?>