<?php
	require_once(CI_PATH_LIBS.'/core.inc.php');
	
	class S2P_API_MODULE_MESSAGES extends S2P_API_MODULE
	{
		function S2P_API_MODULE_MESSAGES()
		{
		}

		function run($args)
		{
			switch ($args['task'])
			{
				case 'send':		return $this->task_send($args);
				case 'send-sms':	return $this->task_send_sms($args);
				case 'send-chat':	return $this->task_send_chat($args);
				case 'notify':		return $this->task_notify($args);
			}

			return $this->error_no_task();
		}

		function task_send($args)
		{
			if (!$args['type']) return ci_response_error('missing-type');

			switch ($args['type'])
			{
				case 'sms': return $this->task_send_sms();
				case 'chat': return $this->task_send_chat();
			}

			return ci_response_error('unknown-type');
		}

		function task_send_sms($args)
		{
			if (!$args['to']) return ci_response_error('missing-to');
			if (!$args['body']) return ci_response_error('missing-body');

			$manager=new CI_CORE_SKYPE();
			$manager->open();

			$res=$manager->ask('sms-send', array(
				'sms-number'	=> $args['to'],
				'sms-body'		=> $args['body']
			), array(
				'destination'	=> $args['account']
			));

			$manager->close();
			return $res;
		}

		function task_send_chat($args)
		{
			if (!$args['to']) return ci_response_error('missing-to');
			if (!$args['body']) return ci_response_error('missing-body');

			$manager=new CI_CORE_SKYPE();
			$manager->open();

			$res=$manager->ask('chatmessage-send', array(
				'user-name'		=> $args['to'],
				'message-body'	=> $args['body']
			), array(
				'destination'	=> $args['account']
			));

			$manager->close();
			return $res;
		}

		function task_notify($args)
		{
			if (!$args['url'])
			{
				@unlink(CI_PATH_DATA.'/chatmessage_incoming_received.evt');
				return ci_response_ok();
			}
			
			$fp=@fopen(CI_PATH_DATA.'/chatmessage_incoming_received.evt', 'w');
			if (!$fp) return ci_response_error('filesystem-error');

			fputs($fp, $args['url']);
			fclose($fp);

			return ci_response_ok();
		}
	}
?>