<?php
	require_once(CI_PATH_LIBS.'/routes.inc.php');
	
	class S2P_API_MODULE_ROUTEOUT extends S2P_API_MODULE
	{
		function S2P_API_MODULE_ROUTEOUT()
		{
		}

		function run($args)
		{
			switch ($args['task'])
			{
				case 'create':
				case 'save':
				case 'modify':	return $this->task_save($args);
				case 'toggle':	return $this->task_toggle($args);
				case 'remove':	return $this->task_remove($args);
				case 'list':	return $this->task_list($args);
				case 'search':	return $this->task_search($args);
			}

			return $this->error_no_task();
		}
		
		function task_search($args)
		{
			$manager=new CI_ROUTES_OUT();
			$list=$manager->get_list();
			
			if (!$args['key']) return ci_response_error('missing-parameter-key');
			if (!$args['value']) return ci_response_error('missing-parameter-value');
			
			$out=array();
			foreach ($list as $item)
			{
				if ($item[$args['key']] == $args['value']) array_push($out, $item);
			}
			
			if (sizeof($out)) return ci_response_ok(array('item' => $out));
			
			return ci_response_error('not-found');
		}

		function task_list($args)
		{
			$manager=new CI_ROUTES_OUT();
			return ci_response_ok(array('item' => $manager->get_list()));
		}

		function task_save($args)
		{
			$manager=new CI_ROUTES_OUT();
			return $manager->task_save($_REQUEST);
		}

		function task_remove($args)
		{
			$manager=new CI_ROUTES_OUT();
			return $manager->task_delete($_REQUEST['id']);
		}

		function task_toggle($args)
		{
			$manager=new CI_ROUTES_OUT();
			return $manager->task_toggle($_REQUEST['id']);
		}
	}
?>