#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

UPDATE_DONE=0

#############################################################################################
# Update sources list

cat << __EOF__ > /etc/apt/sources.list
deb http://it.archive.ubuntu.com/ubuntu/ hardy main restricted
deb http://it.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
deb http://it.archive.ubuntu.com/ubuntu/ hardy universe
deb http://it.archive.ubuntu.com/ubuntu/ hardy-updates universe
deb http://it.archive.ubuntu.com/ubuntu/ hardy multiverse
deb http://it.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
deb http://security.ubuntu.com/ubuntu hardy-security main restricted
deb http://security.ubuntu.com/ubuntu hardy-security universe
deb http://security.ubuntu.com/ubuntu hardy-security multiverse
__EOF__

#############################################################################################
# Check and add new packages

LIST=`cat $S2P_PATH_BASE/core/misc/packages.list`

for LINE in $LIST; do
	dpkg -L $LINE &> /dev/null
	
	if [[ "$?" -gt "0" ]]; then
	
		if [[ "$UPDATE_DONE" -eq "0"  ]]; then
			$S2P_PATH_BASE/core/libexec/write_log.py sys info "Updating packages list"
			apt-get update
			UPDATE_DONE=1
		fi
		
		$S2P_PATH_BASE/core/libexec/write_log.py sys info "Installing $LINE"
		apt-get -yy install $LINE
	fi
done
